plugins {
    id 'java-library'
    id 'org.jetbrains.kotlin.jvm'
}

dependencies {
    implementation(project(":core:transitions"))
    implementation(project(":core:inference"))
    implementation(project(":core:events"))
    implementation(project(":core:artifacts"))
    implementation(project(":core:tools"))
    implementation("com.fasterxml.jackson.dataformat:jackson-dataformat-toml:2.17.0")
    implementation("com.fasterxml.jackson.module:jackson-module-kotlin:2.17.0")
    testImplementation "org.junit.jupiter:junit-jupiter"
    testImplementation "org.jetbrains.kotlin:kotlin-test-junit5"
}
